ISCSI_SCST_ADM(8)

NAME
iscsi-scst-adm - iSCSI SCST Target Administration Utility.

SYNOPSIS
iscsi-scst-adm --op [operation] --tid=[id] [--sid [id]] [--params [key=value,...]]

DESCRIPTION
iscsi-scst-adm is used to monitor and modify in real-time the iSCSI SCST Target targets.

USAGE
You'll have to get target and sessions ids from /proc/scsi_tgt/iscsi. Some usage examples can be :

iscsi-scst-adm --op show --tid=1

display status of target 1 (see /proc/scsi_tgt/iscsi to get the matching target name)

iscsi-scst-adm --op new --tid=2

create dynamically a new target, numbered 2. CAUTION : the target will disappear if you restart iscsi-scstd, you'll have to edit /etc/iscsi-scstd.conf to make it permanent!

ERROR MESSAGES
iscsi-scst-adm misses error messages. Look carefully at the STDERR output : in case of error it will send a 3 number error code, ending with -1, for instance :

iscsi-scstd_request 203 3 -1

OPTIONS
--op new --tid=[id] --params Name=[name]

add a new target with [id]. If [id] is zero, the lowest free [id] is allocated automatically to the new target.

--op delete --tid=[id]

delete specific target with [id]. The target must have no active sessions.

--op show --tid=[id]

show target parameters of target with [id].

--op show --tid=[id] --sid=[sid]

show iSCSI parameters in effect for session [sid]. If [sid] is "0" (zero), the configured parameters will be displayed.

--op delete --tid=[id] --sid=[sid] --cid=[cid]

delete specific connection with [cid] in a session with [sid] that the target with [id] has. If the session has no connections after the operation, the session will be deleted automatically.

--op delete

stop all activity.

--op update --tid=[id] --params=key1=value1,key2=value2,...

change iSCSI SCST target parameters of specific target with [id]. You can use parameters in iscsi-scstd.conf as a key.

--op new --tid=[id] --user --params=[user]=[name],Password=[pass]

add a new account with [pass] for specific target. [user] could be [IncomingUser] or [OutgoingUser]. If you don't specify a target (omit --tid option), you add a new account for discovery sessions.

--op show --tid=[id] --user

show a list of CHAP accounts. If --tid is omitted or [id] is "0" (zero), discovery accounts are displayed.

--op show --tid=[id] --user --params=[user]=[name]

show CHAP account information for the account specified by [name]. [user] can be [IncomingUser] or [OutgoingUser]. If --tid is omitted or [id] is "0" (zero), [name] is supposed to be a discovery account name.

--op delete --tid=[id] --user --params=[user]=[name]

delete specific account having [name] of specific target. [user] could be [IncomingUser] or [OutgoingUser]. If you don't specify a target (omit --tid option), you delete the account for discovery sessions.

--version

display version and exit

--help

display a list of available options and exits

KNOWN ISSUES

•   iscsi-scst-adm doesn't return any human-readable error message, only error codes.

•   iscsi-scst-adm doesn't modify or read the /etc/iscsi-scstd.conf iscsi-scstd configuration file.

•   iscsi-scst-adm can't use target names or aliases, only the tid found in /proc/scsi_tgt/iscsi.

•   /proc/scsi_tgt/iscsi may list inactive sessions if the initiator doesn't logout properly.

Report bugs to <scst-devel@lists.sourceforge.net>.

FILES
/proc/scsi_tgt/iscsi

SEE ALSO
iscsi-scstd(8),iscsi-scstd.conf(5)